library(geneplotter)
library(limma)
targets <- readTargets("targets.txt") 
RG <- read.maimages(targets$filename, source="genepix")
RG$genes <- readGAL("Hopkins_Tag_Array_Rafa_1.0.gal")
RG$printer <- getLayout(RG$genes)      
types <- readSpotTypes()
RG$genes$Status <- controlStatus(types, RG)

MA <- MA.RG(RG,bc.method="none")

Index <- MA$genes$Status=="Gene"
smoothScatter(MA$A[,1],MA$M[,1])
